This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299120 - [abrt] nautilus: nautilus_list_model_get_all_iters_for_file(): nautilus killed by SIGSEGV
[abrt] nautilus: nautilus_list_model_get_all_iters_for_file(): nautilus kille...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2b9c6382a25752148b1ccdc8daf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 22:49 EST by Jean-François Fortin Tam
Modified: 2016-12-20 12:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.26 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: core_backtrace (18.65 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: dso_list (14.47 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: environ (1.10 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: exploitable (110 bytes, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: maps (68.88 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: mountinfo (3.35 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: open_fds (4.00 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details
File: var_log_messages (237 bytes, text/plain)
2016-01-15 22:49 EST, Jean-François Fortin Tam
no flags Details

  None (edit)
Description Jean-François Fortin Tam 2016-01-15 22:49:31 EST
Description of problem:
Opened three folder tabs. In one of them, ran a nautilus search. Tried closing the tab while the search was still running.

Version-Release number of selected component:
nautilus-3.18.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_list_model_get_all_iters_for_file
executable:     /usr/bin/nautilus
global_pid:     11275
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 nautilus_list_model_get_all_iters_for_file at nautilus-list-model.c:573
 #1 nautilus_list_model_get_first_iter_for_file at nautilus-list-model.c:590
 #2 nautilus_list_view_scroll_to_file at nautilus-list-view.c:3002
 #3 list_view_scroll_to_file at nautilus-list-view.c:3026
 #4 view_ended_loading at nautilus-window-slot.c:2104
 #5 view_is_loading_changed_cb at nautilus-window-slot.c:2134
 #11 g_object_notify_by_spec_internal at gobject.c:1154
 #12 g_object_notify at gobject.c:1202
 #13 done_loading at nautilus-files-view.c:3181
 #15 nautilus_files_view_stop_loading at nautilus-files-view.c:7212
Comment 1 Jean-François Fortin Tam 2016-01-15 22:49:35 EST
Created attachment 1115358 [details]
File: backtrace
Comment 2 Jean-François Fortin Tam 2016-01-15 22:49:36 EST
Created attachment 1115359 [details]
File: cgroup
Comment 3 Jean-François Fortin Tam 2016-01-15 22:49:37 EST
Created attachment 1115360 [details]
File: core_backtrace
Comment 4 Jean-François Fortin Tam 2016-01-15 22:49:39 EST
Created attachment 1115361 [details]
File: dso_list
Comment 5 Jean-François Fortin Tam 2016-01-15 22:49:40 EST
Created attachment 1115362 [details]
File: environ
Comment 6 Jean-François Fortin Tam 2016-01-15 22:49:41 EST
Created attachment 1115363 [details]
File: exploitable
Comment 7 Jean-François Fortin Tam 2016-01-15 22:49:42 EST
Created attachment 1115364 [details]
File: limits
Comment 8 Jean-François Fortin Tam 2016-01-15 22:49:44 EST
Created attachment 1115365 [details]
File: maps
Comment 9 Jean-François Fortin Tam 2016-01-15 22:49:45 EST
Created attachment 1115366 [details]
File: mountinfo
Comment 10 Jean-François Fortin Tam 2016-01-15 22:49:46 EST
Created attachment 1115367 [details]
File: namespaces
Comment 11 Jean-François Fortin Tam 2016-01-15 22:49:47 EST
Created attachment 1115368 [details]
File: open_fds
Comment 12 Jean-François Fortin Tam 2016-01-15 22:49:48 EST
Created attachment 1115369 [details]
File: proc_pid_status
Comment 13 Jean-François Fortin Tam 2016-01-15 22:49:49 EST
Created attachment 1115370 [details]
File: var_log_messages
Comment 14 Matej 2016-04-21 05:09:59 EDT
Similar problem has been detected:

while using search

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: nautilus_list_model_get_all_iters_for_file
executable:     /usr/bin/nautilus
global_pid:     2464
kernel:         4.4.6-300.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 09:59:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Christian Stadelmann 2016-12-08 18:26:16 EST
Still present in Fedora 25 as bug #1398439.
Comment 17 Fedora End Of Life 2016-12-20 12:56:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.